### Name: SpecialDailySeries
### Title: Special Daily Time Series
### Aliases: dummyDailySeries dummySeries alignDailySeries rollDailySeries
###   ohlcDailyPlot
### Keywords: chron

### ** Examples

## Load Microsoft Data - 
   setRmetricsOptions(myFinCenter = "GMT")
   data(MSFT)
   head(MSFT)   
   
    
## Cut out April Data from 2001 - 
   Close = MSFT[, "Close"]
   tsApril01 = window(Close, "2001-04-01", "2001-04-30") 
   tsApril01    
   
## Align with NA - 
   tsRet = returns(tsApril01, trim = TRUE)
   GoodFriday(2001)   
   EasterMonday(2001) 
   alignDailySeries(tsRet, method = "fillNA", include.weekends = FALSE)
   alignDailySeries(tsRet, method = "fillNA", include.weekends = TRUE)
   
## Interpolate - 
   alignDailySeries(tsRet, method = "interp", include.weekend = FALSE)
   alignDailySeries(tsRet, method = "interp", include.weekend = TRUE)



