### Name: model.frame
### Title: Model Frames for Time Series Objects
### Aliases: model.frame model.frame.default,ANY,timeSeries-method
### Keywords: chron

### ** Examples

## Load Microsoft Data -
   setRmetricsOptions(myFinCenter = "GMT")
   data(MSFT)
   X = MSFT[1:12, ]

## Extract High's and Low's:
   model.frame( ~ High + Low, data = X)
   
## Extract Open Prices and their log10's:
   base = 10
   Open = model.frame(Open ~ log(Open, base = `base`), data = X)
   colnames(Open) <- c("X", "log10(X)")
   Open  



